Ubuntu: ubuntu error cannot update, install & upgrade and error dpkg or package [duplicate]



Question:

i have a problem about mysql. i was try to connect a mysql workbench with mysql database. I think, i did something wrong with the mysql package. and i think i was remove some package. I was try to find out the question similar question like me. But, every single the answer i was try to follow. the result still give me error.

when i was try to update using sudo apt-get install update, they show :

Reading package lists... Error!  W: The repository 'http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial Release' does not have a Release file.  N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.  N: See apt-secure(8) manpage for repository creation and user configuration details.  E: Failed to fetch http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found  E: Some index files failed to download. They have been ignored, or old ones used instead.  E: flAbsPath on /var/lib/dpkg/status failed - realpath (2: No such file or directory)  E: Could not open file  - open (2: No such file or directory)  E: Problem opening   E: The package lists or status file could not be parsed or opened.  

and i was try to reinstall mysql using sudo apt-get install mysql-server & sudo apt-get install upgrade, they show ?

E: Could not open lock file /var/lib/dpkg/lock - open (2: No such file or directory)  E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?  

i won't reboot my laptop before i can fix it. Because, i was have experience like it, but when i was try to reboot, the GUI or GNOME is gone. Just show terminal.

sudo -l    Matching Defaults entries for def on def-X450CA:        env_reset, mail_badpass, secure_path=/usr/local/sbin\:/usr/local/bin\:/usr/sbin\:/usr‌​/bin\:/sbin\:/bin\:/‌​snap/bin   User def may run the following commands on def-X450CA:        (ALL : ALL) ALL  

i was put it :

sudo grep -iR "http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/u‌​buntu xenial" /etc/apt   

still same error when i was try to update :

Reading package lists... Error!  W: The repository 'http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial Release' does not have a Release file.  N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.  N: See apt-secure(8) manpage for repository creation and user configuration details.  E: Failed to fetch http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found  E: Some index files failed to download. They have been ignored, or old ones used instead.  E: flAbsPath on /var/lib/dpkg/status failed - realpath (2: No such file or directory)  E: Could not open file  - open (2: No such file or directory)  E: Problem opening   E: The package lists or status file could not be parsed or opened.  

This the result :

grep -EiR "pulseaudio-equalizer" /etc/apt    /etc/apt/sources.list.d/alex-wv-ubuntu-pulseaudio-equalizer-ppa-xenial.list.save:deb http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial main    /etc/apt/sources.list.d/alex-wv-ubuntu-pulseaudio-equalizer-ppa-xenial.list.save:# deb-src http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial main    /etc/apt/sources.list.d/alex-wv-ubuntu-pulseaudio-equalizer-ppa-xenial.list:deb http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial main    /etc/apt/sources.list.d/alex-wv-ubuntu-pulseaudio-equalizer-ppa-xenial.list:# deb-src http://ppa.launchpad.net/alex-wv/pulseaudio-equalizer-ppa/ubuntu xenial main  

after update, error rest :

E: flAbsPath on /var/lib/dpkg/status failed - realpath (2: No such file or directory)  E: Could not open file  - open (2: No such file or directory)  E: Problem opening   E: The package lists or status file could not be parsed or opened.      ls -l /var/lib/dpkg/  ls: cannot access '/var/lib/dpkg/': No such file or directory  

i was try it sudo dpkg -i dpkg*.deb, and error :

dpkg: warning: files list file for package 'foomatic-db-compressed-ppds' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libopencv-highgui2.4v5:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libegl1-mesa:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'xserver-xorg-video-ati' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libtotem-plparser18:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'rarian-compat' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'ogmtools' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'network-manager-pptp-gnome' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libpcap0.8:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'fwupdate' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'gir1.2-totem-plparser-1.0:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'python-ldap' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libwayland-server0:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'netbase' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'zlib1g-dev:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'fonts-dejavu' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libuv1-dev:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libunity-protocol-private0:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libxklavier16:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'qtdeclarative5-test-plugin:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'linux-headers-generic' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'liboxideqt-qmlplugin:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libsnmp-base' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libgksu2-0' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libjpeg8:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'usbmount' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'python-pyparsing' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'python-talloc' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'gnome-session-common' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'adwaita-icon-theme' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'software-properties-common' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libdbusmenu-qt2:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libxcb-xkb1:amd64' missing; assuming package has no files currently installed  dpkg: warning: files list file for package 'libavahi-core7:amd64' missing; assuming package has no files currently installed  (Reading database ... 1454 files and directories currently installed.)  Preparing to unpack dpkg_1.18.4ubuntu1.2_amd64.deb ...    and many more ....  

Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »